Table of Contents

Class: ContactList | Twisted-0.19.0/twisted/words/ui/im.py
--- | ---
Methods |
--- | ---
__init__ changeContactName changeContactStatus
| __init__
    __init__ ( self,  im )
represents the list of users on our contact list. (perhaps more than one gateway) im := the InstanceMessenger that's being used (class InstanceMessenger)
Exceptions |
--- | ---
NotImplementedError
| changeContactName
    changeContactName (
            self,
            gateway,
            contact,
            newName,
            )
change the name of a contact on our list. it could be our username as well, in which case, the gateway name has probably changed as well. gateway := the gateway the contact is from (class Gateway) contact := the old name of the contact (string) newName := the new name of the contact (string)
Exceptions |
--- | ---
NotImplementedError
| changeContactStatus
    changeContactStatus (
            self,
            gateway,
            contact,
            newStatus,
            )
change the status of a contact on our list. gateway := the gateway the contact is from (class Gateway) contact := the username of the contact that changed (string) newStatus := the new status (string)
Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0